#include<iostream>
using namespace std;
int main()
{
	string a;
	int k;
	cin>>k;
	cin>>a;
	int len=a.size();
	if(len<=k)
	 cout<<a<<endl;
	else
	{
		for(int i=0;i<k;++i)
		 cout<<a[i];
		cout<<"..."<<endl;
	}
	return 0;
}